Loading...
Searching...
No Matches
EDriverFeatures.h File Reference

Go to the source code of this file.

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video
| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum

irr::video::E_VIDEO_DRIVER_FEATURE {
irr::video::EVDF_RENDER_TO_TARGET = 0 , irr::video::EVDF_HARDWARE_TL , irr::video::EVDF_MULTITEXTURE , irr::video::EVDF_BILINEAR_FILTER ,
irr::video::EVDF_MIP_MAP , irr::video::EVDF_MIP_MAP_AUTO_UPDATE , irr::video::EVDF_STENCIL_BUFFER , irr::video::EVDF_VERTEX_SHADER_1_1 ,
irr::video::EVDF_VERTEX_SHADER_2_0 , irr::video::EVDF_VERTEX_SHADER_3_0 , irr::video::EVDF_PIXEL_SHADER_1_1 , irr::video::EVDF_PIXEL_SHADER_1_2 ,
irr::video::EVDF_PIXEL_SHADER_1_3 , irr::video::EVDF_PIXEL_SHADER_1_4 , irr::video::EVDF_PIXEL_SHADER_2_0 , irr::video::EVDF_PIXEL_SHADER_3_0 ,
irr::video::EVDF_ARB_VERTEX_PROGRAM_1 , irr::video::EVDF_ARB_FRAGMENT_PROGRAM_1 , irr::video::EVDF_ARB_GLSL , irr::video::EVDF_HLSL ,
irr::video::EVDF_TEXTURE_NSQUARE , irr::video::EVDF_TEXTURE_NPOT , irr::video::EVDF_FRAMEBUFFER_OBJECT , irr::video::EVDF_VERTEX_BUFFER_OBJECT ,
irr::video::EVDF_ALPHA_TO_COVERAGE , irr::video::EVDF_COLOR_MASK , irr::video::EVDF_MULTIPLE_RENDER_TARGETS , irr::video::EVDF_MRT_BLEND ,
irr::video::EVDF_MRT_COLOR_MASK , irr::video::EVDF_MRT_BLEND_FUNC , irr::video::EVDF_GEOMETRY_SHADER , irr::video::EVDF_OCCLUSION_QUERY ,
irr::video::EVDF_POLYGON_OFFSET , irr::video::EVDF_BLEND_OPERATIONS , irr::video::EVDF_TEXTURE_MATRIX , irr::video::EVDF_CG ,
irr::video::EVDF_COUNT
}

| enumeration for querying features of the video driver. More...

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0